Package weka.core.pmml

# Class FieldMetaInfo.Value

java.lang.Object
weka.core.pmml.FieldMetaInfo.Value

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `FieldMetaInfo`

public static class FieldMetaInfo.Value extends Object implements Serializable
Inner class for Values

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`FieldMetaInfo.Value.Property`
Enumerated type for the property.

## Method Summary

Modifier and Type
Method
Description
`String`
`getDisplayValue()`
`FieldMetaInfo.Value.Property`
`getProperty()`
`String`
`getValue()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### getValue

public String getValue()

### getDisplayValue

public String getDisplayValue()

### getProperty

public FieldMetaInfo.Value.Property getProperty()